import { DocDesignLayoutProps } from './doc-design-layout';
declare const _default: import('vue').DefineComponent<DocDesignLayoutProps, {
    onImportTemplate: () => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<DocDesignLayoutProps> & Readonly<{}>, {
    IOTPermission: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    layoutRef: HTMLDivElement;
    scrollRef: HTMLElement;
}, HTMLDivElement>;
export default _default;
